## blazar 15.0.0

=== debian/changelog ===
blazar (15.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 11 Jul 2025 10:24:23 +0000

blazar (15.0.0-3) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 12:21:03 +0200

blazar (15.0.0-2) unstable; urgency=medium

  * Add fix-lease-date-not-enough-in-the-future.patch (Closes: #1104885).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2025 12:36:04 +0200

blazar (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:04:38 +0200

blazar (15.0.0~rc1-3) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 09:25:44 +0200

blazar (15.0.0~rc1-2) experimental; urgency=medium

  * Fixed d/copyright copyright holder list.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 16:05:04 +0100

blazar (15.0.0~rc1-1) experimental; urgency=medium

  * Initial packaging (Closes: #1100490).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:48:27 +0100

## blazar 16.0.0~rc1

=== debian/changelog ===
blazar (16.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:33:46 +0200

blazar (16.0.0~rc1-2) experimental; urgency=medium

  * Fixed UWSGI_INI_APP= in api init script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2025 21:56:34 +0200

blazar (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switch blazar-api-uwsgi.ini to module=blazar.wsgi.api:application instead
    of now removed wsgi-script.
  * Removed fix-lease-date-not-enough-in-the-future.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 10:09:30 +0200

## blazar 16.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.9.6 # MIT
eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
Flask>=1.0.2 # BSD
iso8601>=0.1.11 # MIT
keystoneauth1>=3.13.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
microversion-parse>=0.2.1  # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.40.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.34.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=7.0.0 # Apache-2.0
python-neutronclient>=6.0.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
netaddr>=0.7.18 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
requests>=2.18.4 # Apache-2.0
retrying>=1.3.3,!=1.3.0 # Apache-2.0
Routes>=2.3.1 # MIT
SQLAlchemy>=1.4.0 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
WSME>=0.8.0 # MIT

=== doc/requirements.txt ===
# Documentation
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0

=== debian/changelog ===
blazar (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:37:16 +0200

=== debian/control ===
Source: blazar
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 133~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-coverage,
 python3-ddt,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.0.0),
 python3-oslotest,
 python3-pecan,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
 subunit,
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/blazar
Vcs-Git: https://salsa.debian.org/openstack-team/services/blazar.git
Homepage: https://github.com/openstack/blazar

Package: blazar-api
Architecture: all
Depends:
 adduser,
 blazar-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: resource reservation service for OpenStack - API server
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 The following two resource types are currently supported:
  * Compute host: reserve and lease with a unit of a whole host
  * Instance: reserve and lease with a unit of a flavor
 .
 This package contains the ReST API.

Package: blazar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-blazar (=${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: resource reservation service for OpenStack - API server
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 The following two resource types are currently supported:
  * Compute host: reserve and lease with a unit of a whole host
  * Instance: reserve and lease with a unit of a flavor
 .
 This package contains the common files.

Package: blazar-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: resource reservation service for OpenStack - API server
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This package contains the documentation.

Package: blazar-manager
Architecture: all
Depends:
 adduser,
 blazar-common (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: resource reservation service for OpenStack - manager
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This package contains the manager.

Package: python3-blazar
Section: python
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-eventlet,
 python3-flask,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.0.0),
 python3-pecan,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Description: resource reservation service for OpenStack - Python files
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build
	rm -rf *egg-info .stestr
	rm -rf doc/build *.egg-info
	find . -iname '*.pyc' -delete
	rm -f \
		debian/blazar-common.postinst \
		debian/blazar-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart debian/*.templates
	rm -f debian/blazar-common.postinst debian/blazar-common.config debian/blazar-common.postrm debian/blazar-api.config debian/blazar-api.postinst
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func blazar-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func blazar-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm blazar-common.postrm
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func blazar-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func blazar-api.postinst
	pkgos-merge-templates blazar-api blazar endpoint
	pkgos-merge-templates blazar-common blazar db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'blazar\.tests\.*'
	# (?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock_stop_timers|engine\.service\.test_stack_snapshot\.SnapshotServiceTest\.test_restore_snapshot|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_other_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_same_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_release_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_steal_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_unlocked_resource_update|.*openstack\.aodh\.test_alarm\.AodhAlarmTest\.test_mem_alarm_high_not_integer_parameters.*|.*test_properties\.PropertyTest\.test_int_bad.*|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_with_new_password|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_with_new_password|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_temp_url|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_temp_url|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list_fail|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_string|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_retry|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_retry|openstack\.nova\.test_server\.ServerInternalPortTest\.test_prepare_ports_for_replace_detach_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_restore_ports_after_rollback_attach_failed|test_hot\.HOTemplateTest\.test_make_url_file)'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	mkdir -p $(CURDIR)/debian/blazar-common/usr/share/blazar-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace blazar \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/blazar-common/usr/share/blazar-common/blazar.conf

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/blazar-common/usr/share/blazar-common/blazar.conf keystone_authtoken blazar

	mkdir -p $(CURDIR)/debian/blazar-common/etc/blazar/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output $(CURDIR)/debian/blazar-common/etc/blazar/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace blazar

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/blazar-common/usr/share/blazar-common/blazar.conf oslo_policy policy_dirs /etc/blazar/policy.d

	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/blazar/blazardb|' $(CURDIR)/debian/blazar-common/usr/share/blazar-common/blazar.conf

	dh_install
	dh_missing -Xbin/cinder-keystone-setup --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/blazar-doc/usr/share/doc/blazar-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/blazar refs/tags/(\d[brc\d\.]+)
